---
lang: en
title: 'API docs: boot.servicebooter'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.boot.servicebooter.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/boot](./boot.md) &gt; [ServiceBooter](./boot.servicebooter.md)

## ServiceBooter class

A class that extends BaseArtifactBooter to boot the 'Service' artifact type. Discovered DataSources are bound using `app.controller()`<!-- -->.

Supported phases: configure, discover, load

<b>Signature:</b>

```typescript
export declare class ServiceBooter extends BaseArtifactBooter 
```

## Constructors

|  Constructor | Modifiers | Description |
|  --- | --- | --- |
|  [(constructor)(app, projectRoot, serviceConfig)](./boot.servicebooter._constructor_.md) |  | Constructs a new instance of the <code>ServiceBooter</code> class |

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [app](./boot.servicebooter.app.md) |  | <code>ApplicationWithServices</code> |  |
|  [serviceConfig](./boot.servicebooter.serviceconfig.md) |  | <code>ArtifactOptions</code> |  |
|  [serviceProviders](./boot.servicebooter.serviceproviders.md) |  | <code>ServiceProviderClass[]</code> |  |

## Methods

|  Method | Modifiers | Description |
|  --- | --- | --- |
|  [load()](./boot.servicebooter.load.md) |  | Uses super method to get a list of Artifact classes. Boot each file by creating a DataSourceConstructor and binding it to the application class. |


